dbXML API

## com.dbxml.db.client.tools
Interface Command

All Known Implementing Classes:
  CommandBase

public interface Command

Command

Method Summary
`CommandLine` `getCommandLine()` getCommandLine returns the CommandLine reference for this CommandLine instance.
`void` `process()` process processes the Command.
`void` `setCommandLine(CommandLine cl)` setCommandLine sets the CommandLine reference for this CommandLine instance.

Method Detail

### setCommandLine

    public void setCommandLine(CommandLine cl)

  setCommandLine sets the CommandLine reference for this CommandLine instance.

  Parameters:
    `cl` - The CommandLine

### getCommandLine

    public CommandLine getCommandLine()

  getCommandLine returns the CommandLine reference for this CommandLine instance.

  Returns:
    The CommandLine

### process

    public void process()
                 throws dbXMLException

  process processes the Command.

  Throws:
    `dbXMLException`

dbXML API

Copyright (c) 2004 The dbXML Group